<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <!-- This file was converted to xhtml by Writer2xhtml ver. 0.9.2. See http://www.hj-gym.dk/~hj/writer2latex for more info. -->
  <title>Source View</title>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
  <link rel="schema.DC" href="http://purl.org/dc/elements/1.1/" />
  <meta name="DC.creator" content="Jens Mittelbach" />
  <meta name="DC.date" content="2008-11-20T16:56:37.74" />
  <link type="text/css" charset="utf-8" href="../help.css" rel="stylesheet" />
</head>

<body>
<h1 id="toc0">Source View</h1>

<p>The <em>Source</em> view enables you to view and work directly with a file's source
code.</p>

<p>
<div>
<img src="xmleditor-img11.png" id="" class="frameGraphics" alt="Grafik" />
</div>
<p class="Figure">Figure: The Source View</p>
</p>

<p>The <em>Source</em> view has many text editing features, such as:</p>
<ul>
  <li>Syntax highlighting, i.e. each tag type is highlighted differently,
    enabling you to easily find a certain kind of tag for editing.
  </li>
  <li>Content assist, which helps you finish tags. The Content assist uses
    the information of the associated Schema to provide a list of acceptable
    continuations depending on where the cursor is located in an XML file, or
    what has just been typed. To select one of the proposed options just
    double-click it.
  </li>
  <li>Unlimited undo and redo, these options allow you to incrementally undo
    and redo every change made to a file for the entire editing session. For
    undo, press ctrl+Z, for redo press ctrl+Y or choose both options
    alternatively by selecting "Edit" in the menu bar. 
  </li>
  <li>Node selection, based on the location of your cursor (or selection in
    the Outline view), the node selection indicator highlights the line numbers
    that include a node (for example, an element or attribute), in the vertical
    ruler in the left area of the Source view.
  </li>
  <li>"Smart" double-clicking behavior. If your cursor is placed in an
    attribute value, one double-click selects that value, another double click
    selects the attribute-value pair, and a third double-click selects the
    entire tag. This makes it easier to copy and paste commonly used pieces of
    XML.
  </li>
  <li>Pop-up menus, which show the content model for elements and
    attributes

    <div id="Grafik">
    <img src="xmleditor-img12.png" class="frameGraphics" alt="Grafik" /></div>
  </li>
</ul>
</body>
</html>